Subject: 25 user logon problem

From: Thomas Hanschke <[email-masked]>
Date: Thu, 28 Mar 2013 16:31:23 +0100

Package: x2goagent
Version: 2:3.5.0.17-0~320~precise1
        
I have 25 thinclients (wyse with windows7 embedded) in a classroom.
If more than 2 or 3 clients log on at exactly the same time, some of
them stop at the black screen before the gray X2Go Logo appears.
There is no error message. With a little timeshift of 2 or 3 seconds
between the logons, there are no problems.
          
I suggest a while-loop in x2gostartagent that looped through the
displays until it had a valid display and free ports.

I am using Ubuntu Version 12.04 (precise) (32-Bit),
Kernel Linux 3.2.0-39-generic-pae.
         
        Thanks for your help!
        Thomas